PgsqlSqlUtil::PgsqlNumericColumn Class Reference

represents a PostgreSQL-specific numeric column More...

Inheritance diagram for PgsqlSqlUtil::PgsqlNumericColumn:
[legend]

## Public Member Functions

| constructor (string n, string nt, *string qt, int sz, bool nul, *string dv, *string cm, softint bs, softint n_scale)
| creates the column from the supplied arguments
string | getNativeTypeString ()
| returns a string giving the native type of the column
Public Member Functions inherited from PgsqlSqlUtil::PgsqlColumn
| constructor (string n, string nt, *string qt, int sz, bool nul, *string dv, *string cm, softint bs)
| creates the column from the supplied arguments
list | getAddColumnSql (AbstractTable t)
| returns a list of sql strings that can be used to add the column to an existing table More...
string | getDdlName (string name)
| returns the column name with quoting in case the column name is a reserved word More...
list | getModifySqlImpl (AbstractTable t, AbstractColumn col, *hash opt)
| returns a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned More...
string | getNativeTypeString ()
| returns a string giving the native type of the column
string | getRenameSql (AbstractTable t, string new_name)
| returns a string that can be used to rename the column More...

## Additional Inherited Members

Public Attributes inherited from PgsqlSqlUtil::PgsqlColumn
int | byte_size
| byte size of the column
Protected Member Functions inherited from PgsqlSqlUtil::PgsqlColumn
| constructor ()
| empty constructor for subclasses
bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a PostgreSQL-specific numeric column